package dev.crucifixbeta.api.events.impl;

import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;
import net.minecraft.entity.player.PlayerEntity;

@Environment(EnvType.CLIENT)
public class DeathEvent {
   private static final DeathEvent INSTANCE = new DeathEvent();
   private PlayerEntity player;

   private DeathEvent() {
   }

   public static DeathEvent get(PlayerEntity player) {
      INSTANCE.player = player;
      return INSTANCE;
   }

   public PlayerEntity getPlayer() {
      return this.player;
   }
}
